
module "rds" {
  source = "terraform-aws-modules/rds/aws"
  version = "2.4.0"
  account_name = var.account_name
  allocate_public_connection = var.allocate_public_connection
  backup_period = var.backup_period
  backup_retention_period = var.backup_retention_period
  backup_time = var.backup_time
  character_set = var.character_set
  connection_prefix = var.connection_prefix
  create_account = var.create_account
  create_database = var.create_database
  create_instance = var.create_instance
  databases = var.databases
  db_name = var.db_name
  db_names = var.db_names
  enable_backup_log = var.enable_backup_log
  engine = var.engine
  engine_version = var.engine_version
  existing_instance_id = var.existing_instance_id
  instance_charge_type = var.instance_charge_type
  instance_id = var.instance_id
  instance_name = var.instance_name
  instance_storage = var.instance_storage
  instance_storage_type = var.instance_storage_type
  instance_type = var.instance_type
  log_backup_retention_period = var.log_backup_retention_period
  log_retention_period = var.log_retention_period
  password = var.password
  period = var.period
  port = var.port
  preferred_backup_period = var.preferred_backup_period
  preferred_backup_time = var.preferred_backup_time
  privilege = var.privilege
  profile = var.profile
  region = var.region
  retention_period = var.retention_period
  security_group_ids = var.security_group_ids
  security_ips = var.security_ips
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  sql_collector_config_value = var.sql_collector_config_value
  sql_collector_status = var.sql_collector_status
  tags = var.tags
  type = var.type
  vpc_security_group_ids = var.vpc_security_group_ids
  vswitch_id = var.vswitch_id
  zone_id = var.zone_id
}
